=== debian/changelog ===
scikit-learn (1.1.2+dfsg-5) unstable; urgency=medium

  * Team upload
  * Fix incorrect use of JOBLIB_MULTIPROCESSING, it is
    a boolean (Closes: #1017402)
  * Add riscv64 to architectures where test suite results are ignored

 -- Graham Inggs <ginggs@debian.org>  Sun, 21 Aug 2022 09:14:47 +0000

scikit-learn (1.1.2+dfsg-4) unstable; urgency=medium

  * Team upload
  * Restrict joblib mulitiprocessing during the autopkgtests,
    see #1017402

 -- Graham Inggs <ginggs@debian.org>  Tue, 16 Aug 2022 11:11:54 +0000

scikit-learn (1.1.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Fix way to ignore errors

 -- Andreas Tille <tille@debian.org>  Sat, 13 Aug 2022 07:13:43 +0200

scikit-learn (1.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove bootstrap from d/copyright since it is not included any more
  * Do not ignore tests from test suite in the beginning but run all tests
    and do not fail if dh_auto_test returns error.  Thus we keep a logfile
    containing failed errors we can point upstream to

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2022 14:38:37 +0200

scikit-learn (1.1.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix Maintainer name of Debian Science team (routine-update)
  * Change repository to default layout and remove debian/gbp.conf
  * Drop debian/README.source since it contains outdated information
  * Drop unused bootstrap code from upstream source tarball

 -- Andreas Tille <tille@debian.org>  Thu, 11 Aug 2022 15:20:38 +0200

scikit-learn (1.1.1-2) unstable; urgency=medium

  * Team upload.
  * Prevent network access during sphinx build. (Closes: #1015805)
  * Skip all tests that calls fetch_openml() for network access.

 -- Mo Zhou <lumin@debian.org>  Sun, 24 Jul 2022 12:55:12 -0700

scikit-learn (1.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Chiara Marmo <marmochiaskl@gmail.com>  Mon, 23 May 2022 21:08:39 +0530

scikit-learn (1.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Drew Parsons ]
  * run tests without colour to make build and debci logs more legible
  * debian/tests Depends: python3-setuptools

  [ Chiara Marmo ]
  * New upstream release. Update Standards-Version.

  [ Andreas Tille ]
  * Rename debian/.gitlab-ci.yml to debian/salsa-ci.yml
  * Relax test tolerance
  * Revert nocheck option from NMU since the check will pass now hopefully
  * Fix files location in d/copyright
  * Drop outdated debian/TODO
  * Update debian/source/lintian-overrides
  * bootstrap-responsive*.css is not vendored by scikit-learn docs any more
    Closes: #924213

 -- Andreas Tille <tille@debian.org>  Tue, 15 Feb 2022 17:44:37 +0100

scikit-learn (1.0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * To advance the python3.10 transition, disable the tests during build
    for now (see: #1003165)

 -- Paul Gevers <elbrus@debian.org>  Fri, 21 Jan 2022 22:38:09 +0100

scikit-learn (1.0.1-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * Created d/u/metadata

  [ Drew Parsons ]
  * New upstream release. Closes: #999528.
    - applies or deprecates debian patches:
       disable-doctest.patch
       Skip-two-tests-when-SciPy-1.5.patch
       Use-assert_allclose-instead-of-equality-in-FP-comparison.patch
       Change-expected-result-type-to-pass-on-32-bit.patch
       Increase-tolerance-for-RANSACRegressor-test.patch
       fix_scipy1.6_PR18711.patch
       skip_test_ELKI_PR19115.patch
  * Build-Depends-Indep: python3-sphinx-prompt,
    python3-sphinxext-opengraph
  * Versioned Build-Depends: cython3 (>= 0.28.5~),
     python3-numpy (>= 1.14.6~), python3-scipy (>= 1.1.10~)
  * Drop Build-Depends: libatlas-base-dev.
    Build against generic libblas-dev, use specific optimized blas at
    runtime. Closes: #918570.
  * debian patch fix_test_calibration_labels_PR21697.patch applies
    upstream PR#21697 to fix label access in test_calibration
  * skip test_load_boston_alternative at build-time (debian builds
    must not access the network)

 -- Drew Parsons <dparsons@debian.org>  Sat, 27 Nov 2021 15:21:20 +0100
