=== debian/control ===
Source: scikit-learn
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Christian Kastner <ckk@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               cython3,
               python3-setuptools,
               python3-numpy,
               python3-scipy (>= 1.1.10~),
               python3-nose,
               python3-pytest,
               python3-matplotlib,
               python3-joblib,
               python3-threadpoolctl,
               libsvm-dev,
               libblas-dev | libblas.so,
               python3-pandas <!nocheck>,
               python3-pil <!nocheck>,
               libjs-bootstrap4,
Build-Depends-Indep: python3-sphinx,
                     python3-sphinx-gallery,
                     python3-sphinx-prompt,
                     python3-sphinxext-opengraph,
                     python3-numpydoc (>= 0.9),
                     python3-pandas,
                     python3-skimage,
                     python3-seaborn,
                     python3-pil,
                     librsvg2-bin,
                     graphviz,
                     python3-doc,
                     python-numpy-doc,
                     python-scipy-doc,
                     python-matplotlib-doc,
                     python-pandas-doc
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
Homepage: https://scikit-learn.org
Rules-Requires-Root: no

Package: python3-sklearn
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy,
         python3-scipy,
         python3-sklearn-lib(>= ${source:Version}),
         python3-joblib,
         python3-threadpoolctl
Recommends: python3-nose,
            python3-pytest,
            python3-matplotlib
Suggests: python3-dap,
          python-sklearn-doc,
          ipython3
Enhances: python3-mvpa2,
          python3-mdp
Provides: ${python3:Provides}
Description: Python modules for machine learning and data mining - Python 3
 scikit-learn is a collection of Python modules relevant to
 machine/statistical learning and data mining.  Non-exhaustive list of
 included functionality:
  - Gaussian Mixture Models
  - Manifold learning
  - kNN
  - SVM (via LIBSVM)
 .
 This package contains the Python 3 version.

Package: python3-sklearn-lib
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
         python3-numpy
Provides: ${python3:Provides}
Description: low-level implementations and bindings for scikit-learn - Python 3
 This is an add-on package for python-sklearn. It provides
 low-level implementations and custom Python bindings for the LIBSVM
 library.
 .
 This package contains the Python 3 version.

Package: python-sklearn-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-bootstrap4,
         libjs-mathjax
Suggests: python-sklearn
Conflicts: python-scikits-learn-doc
Replaces: python-scikits-learn-doc
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation and examples for scikit-learn
 This package contains documentation and example scripts for
 python-sklearn.
Build-Profiles: <!nodoc>
