=== debian/control ===
--- 
+++ 
@@ -34,11 +34,9 @@
                      librsvg2-bin,
                      graphviz,
                      python3-doc,
-                     python-numpy-doc,
                      python-scipy-doc,
-                     python-matplotlib-doc,
                      python-pandas-doc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
 Homepage: https://scikit-learn.org
