=== debian/changelog ===
scikit-learn (1.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 07:02:29 +0100

scikit-learn (1.2.1+dfsg-0exp1) experimental; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Team upload.
  * Drop obsolete python-numpy-doc build dependency.
    (closes: #1029249)

  [ Andreas Tille ]
  * Standards-Version: 4.6.2 (routine-update)
  * Remove unused license definitions for Apache-2.0, Expat.

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jan 2023 07:01:45 +0100

scikit-learn (1.1.2+dfsg-92) unstable; urgency=medium

  * Team upload.
  * Drop python-matplotlib-doc dependency (Closes: #1027588)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 06 Jan 2023 19:41:36 +0100

scikit-learn (1.1.2+dfsg-91) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with Python 3.11 with upstream patch found by Paul Wise
    (Closes: #1023978).

 -- Stuart Prescott <stuart@debian.org>  Wed, 07 Dec 2022 00:34:07 +1100

scikit-learn (1.1.2+dfsg-8) unstable; urgency=medium

  * Team upload
  * Ignore test failure on amd64 as well, see #1023978

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Nov 2022 12:32:35 +0000

scikit-learn (1.1.2+dfsg-7) unstable; urgency=medium

  * Team upload
  * Align create_memmap_backed_data() by default to avoid a
    bus error on armhf, thanks Seth Arnold

 -- Graham Inggs <ginggs@debian.org>  Mon, 17 Oct 2022 10:44:39 +0000

scikit-learn (1.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * update debian patch relax_test_tolerance.patch to relax
    tolerance in test_mlp_regressor_dtypes_casting in test_mlp.py from
    neural_network. Required for ppc64el to pass with scipy 1.8 with
    pythran support. Closes: #1019384.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Sep 2022 16:05:34 +0200
