=== debian/tests/control ===
Tests: python3
Depends: python3-all,
 python3-nose,
 python3-sklearn,
 python3-joblib (>= 0.9.2),
 python3-matplotlib,
 python3-numpy,
 python3-pytest,
 python3-scipy,
 python3-setuptools
Restrictions: allow-stderr
