## scikit-learn 1.4.1.post1%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,7 @@
 
 else
 # for all architectures that are known to have failures in test suite we are ignoring these
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64 amd64))
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), i386 loong64 mipsel mips64el hppa armel armhf arm64 ppc64 ppc64el s390x alpha riscv64 amd64))
   # Ignored due to bug #1003165
 IGNORE_ERRORS= || true
 endif
@@ -121,13 +121,13 @@
 export DEBIAN_POLICY_SECTION_4_9_NO_NETWORK_ACCESS=1
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem pybuild
+	dh $@ --with sphinxdoc --buildsystem pybuild
 
 %-arch:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 clean:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --buildsystem pybuild
 
 override_dh_clean:
 	dh_clean
@@ -140,6 +140,7 @@
 	for i in $$(find -name '*.pyx.in'); do \
 		rm -f $${i%.*}; \
 	done
+	find . -name "bootstrap.min*" -delete
 ifneq (,$(filter python-sklearn-doc,$(shell dh_listpackages)))
 	+$(MAKE) -C doc clean
 endif
@@ -155,6 +156,7 @@
 	ln -s /usr/share/javascript/bootstrap4/css/bootstrap.min.css doc/themes/scikit-learn-modern/static/css/vendor/bootstrap.min.css
 	mkdir -p doc/themes/scikit-learn-modern/static/js/vendor
 	ln -s /usr/share/javascript/bootstrap4/js/bootstrap.min.js doc/themes/scikit-learn-modern/static/js/vendor/bootstrap.min.js
+	ln -s /usr/share/javascript/jquery/jquery.min.js           doc/themes/scikit-learn-modern/static/js/vendor/jquery-3.6.3.slim.min.js
 
 # Ensure sample and test data are copied to .pybuild
 define PYBUILD_AFTER_BUILD
@@ -209,10 +211,3 @@
 override_dh_auto_install:
 	dh_auto_install
 	# cleanup python3 cache (mixing python3 subversions)
-	-find debian/tmp -name "__pycache__" -exec rm -r {} +
-
-
-override_dh_installdocs-arch:
-	dh_installdocs -A README*.rst
-
-override_dh_installdocs-indep:
