## scikit-learn 1.4.1.post1+dfsg

=== debian/changelog ===
scikit-learn (1.4.1.post1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:40:33 +0000

scikit-learn (1.4.1.post1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1029701, #1008369, #1027208, #1003165
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Build-Depends: python3-sphinx-copybutton
  * Support loong64
    Closes: #1059206
  * Drop nose from Build-/Test-Depends
    Closes: #1018635
  * Fix clean target
    Closes: #1046775, #1049646
  * Work around unknown key 'recommender' in sphinx
  * Exclude minimized jquery JS from source and use symlink to Debian
    packaged min.js instead (crossing fingers that the version plays nicely)

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 14:59:42 +0100
