=== debian/control ===
--- 
+++ 
@@ -6,13 +6,12 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all-dev,
                cython3,
                python3-setuptools,
                python3-numpy,
-               python3-scipy (>= 1.1.10~),
-               python3-nose,
+               python3-scipy,
                python3-pytest,
                python3-matplotlib,
                python3-joblib,
@@ -21,16 +20,18 @@
                libblas-dev | libblas.so,
                python3-pandas <!nocheck>,
                python3-pil <!nocheck>,
-               libjs-bootstrap4,
+               libjs-bootstrap4
 Build-Depends-Indep: python3-sphinx,
+                     python3-sphinx-copybutton,
                      python3-sphinx-gallery,
                      python3-sphinx-prompt,
                      python3-sphinxext-opengraph,
-                     python3-numpydoc (>= 0.9),
+                     python3-numpydoc,
                      python3-pandas,
                      python3-skimage,
                      python3-seaborn,
                      python3-pil,
+                     libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~),
                      librsvg2-bin,
                      graphviz,
                      python3-doc,
@@ -51,8 +52,7 @@
          python3-sklearn-lib(>= ${source:Version}),
          python3-joblib,
          python3-threadpoolctl
-Recommends: python3-nose,
-            python3-pytest,
+Recommends: python3-pytest,
             python3-matplotlib
 Suggests: python3-dap,
           python-sklearn-doc,
@@ -93,8 +93,8 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-bootstrap4,
-         libjs-mathjax
-Suggests: python-sklearn
+         libjs-mathjax,
+         libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~)
 Conflicts: python-scikits-learn-doc
 Replaces: python-scikits-learn-doc
 Built-Using: ${sphinxdoc:Built-Using}
