=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Tests: python3
 Depends: python3-all,
- python3-nose,
  python3-sklearn,
  python3-joblib (>= 0.9.2),
  python3-matplotlib,
