## scikit-learn 1.4.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,14 @@
 in: inplace # just a shortcut
 inplace:
 	$(PYTHON) setup.py build_ext -i
+
+dev-meson:
+	# Temporary script to try the experimental meson build. Once meson is
+	# accepted as the default build tool, this will go away.
+	python build_tools/build-meson-editable-install.py
+
+clean-meson:
+	pip uninstall -y scikit-learn
 
 test-code: in
 	$(PYTEST) --showlocals -v sklearn --durations=20
@@ -61,5 +69,4 @@
 	$(MAKE) -C doc html-noplot
 
 code-analysis:
-	flake8 sklearn | grep -v __init__ | grep -v external
-	pylint -E -i y sklearn/ -d E1103,E0611,E1101
+	build_tools/linting.sh
