=== debian/changelog ===
scikit-learn (1.4.2+dfsg-8build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 19 Oct 2025 12:17:21 +0000

scikit-learn (1.4.2+dfsg-8) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * d/rules: use DEB_BUILD_OPTION_PARALLEL instead of nproc for setting
    the amount of parallel testing.

  [ Drew Parsons ]
  * need version of scikit-learn newer than 1.4 to support scipy 1.15
    fully. In the meantime skip failing tests:
    test_csr_polynomial_expansion_index_overflow[csr_array-False-True
    Closes: #1096252

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Mar 2025 22:18:34 +0100

scikit-learn (1.4.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Use pytest-xdist to run tests in parallel.
  * Exclude 3 more tests from autopkgtest (Closes: #1082291).

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Nov 2024 13:24:48 +0100

scikit-learn (1.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * skip test_svc_ovr_tie_breaking[NuSVC] (test_svm) on i386.
    See upstream Issue#29633. Closes: 1078123.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Aug 2024 11:04:05 +0200

scikit-learn (1.4.2+dfsg-5) unstable; urgency=medium

  * Team upload.
  * d/rules: Add "-Wno-incompatible-pointer-types" to the CFLAGS to fix
    the build on 32-bit systems.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Aug 2024 14:02:53 +0200

scikit-learn (1.4.2+dfsg-4) unstable; urgency=medium

  * Team upload. Closes: #1077461, #1076923
  * d/rules: Don't run setup.py ourselves
  * d/control: switch to PEP-517 building
  * d/source/options: ignore the .egg-info directory
  * d/control: use python-numpy-doc & python-matplotlib-doc for our docs

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 02 Aug 2024 11:16:36 +0200

scikit-learn (1.4.2+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/watch: upstream switched from a hyphen to an underscore in the
    source tarball name.
  * d/github-revision.txt: out of date
  * d/README.source: added reminder about updating d/github-revision.txt
  * d/upstream/metadata: upstream finally has a bio.tools identifier
  * d/patches: adjust some metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 21 Jun 2024 12:45:23 +0200

scikit-learn (1.4.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Apply patch from upstream to fix autopkgtest regression on i386.
    Closes: #1070201
  * d/control: -docs: suggest the related/linked -docs packages.
  * d/patches/no-download-intersphinx-mapping.patch: fix some paths, link
    to the packaged docs not the remote docs.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 20 Jun 2024 19:38:04 +0200

scikit-learn (1.4.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Drew Parsons ]
  * skip failing tests on armel: test_tfidf_no_smoothing and
    test_qda_regularization, which don't emit expected divide-by-zero
    runtime warnings.

  [ Michael R. Crusoe ]
  * Update docs patch to "import os" as needed
  * d/tests/python3: test on all supported versions of Python

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 15 Apr 2024 11:46:28 +0200
