=== debian/control ===
--- 
+++ 
@@ -7,12 +7,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                cython3,
                python3-setuptools,
                python3-numpy,
                python3-scipy,
                python3-pytest,
+               python3-pytest-xdist,
                python3-matplotlib,
                python3-joblib,
                python3-threadpoolctl,
@@ -21,7 +23,8 @@
                python3-pandas <!nocheck>,
                python3-pil <!nocheck>,
                libjs-bootstrap4
-Build-Depends-Indep: python3-sphinx,
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
                      python3-sphinx-copybutton,
                      python3-sphinx-gallery,
                      python3-sphinx-prompt,
@@ -31,12 +34,15 @@
                      python3-skimage,
                      python3-seaborn,
                      python3-pil,
+                     python3-pooch,
                      libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~),
                      librsvg2-bin,
                      graphviz,
                      python3-doc,
                      python-scipy-doc,
-                     python-pandas-doc
+                     python-pandas-doc,
+                     python-numpy-doc,
+                     python-matplotlib-doc
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/scikit-learn
 Vcs-Git: https://salsa.debian.org/science-team/scikit-learn.git
@@ -95,6 +101,10 @@
          libjs-bootstrap4,
          libjs-mathjax,
          libjs-jquery (>= 3.6.1+dfsg+~3.5.14-1~)
+Suggests: python3-doc,
+          python-numpy-doc,
+          python-scipy-doc,
+          python-pandas-doc
 Conflicts: python-scikits-learn-doc
 Replaces: python-scikits-learn-doc
 Built-Using: ${sphinxdoc:Built-Using}
