=== debian/watch ===
version=4

opts=uversionmangle=s/(rc|a|b|c)/~$1/,repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz \
https://pypi.debian.net/scikit-learn/scikit[-_]learn-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
