## scikit-learn 1.7.2%2Bdfsg

=== debian/changelog ===
scikit-learn (1.7.2+dfsg-3ubuntu1) resolute; urgency=medium

  * Disable build-time tests for first build with Python 3.14

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 24 Oct 2025 11:59:55 +0000

scikit-learn (1.7.2+dfsg-3) unstable; urgency=medium

  * Upload to unstable.
  * Fix accidental formatting corruption in d/rules
  * Keep README.txt installed in sklearn.datasets module (Closes: #1118347)
  * Fix documentation depending on localization

 -- Timo Röhling <roehling@debian.org>  Sun, 19 Oct 2025 21:38:20 +0200

scikit-learn (1.7.2+dfsg-2) experimental; urgency=medium

  * Skip failing tests on non-amd64 architectures
  * Add myself to uploaders
  * Bump Standards-Version to 4.7.2
  * Drop Suggests: for non-existing package
  * Drop ancient Conflicts/Replaces for python-sklearn-doc
  * Do not force pytest colored output
  * Fix Lintian warnings

 -- Timo Röhling <roehling@debian.org>  Mon, 13 Oct 2025 13:12:24 +0200

scikit-learn (1.7.2+dfsg-1) experimental; urgency=medium

  * Team upload.
  * Migrate debian/watch to version 5 format
  * New upstream version 1.7.2+dfsg
    - Fix FTBFS with SciPy 1.16 (Closes: #1109955)
    - Fix CVE-2024-5206: Potential data leakage from TF-IDF vectorizer
      (Closes: #1074234)
  * Update Debian patches
  * Update d/copyright
  * Wrap and sort Debian package files
  * Update build dependencies
    - Stop using twitter-bootstrap (Closes: #1088346, #1088593)
  * Clean up d/rules
  * Migrate to autopkgtest-pkg-pybuild

 -- Timo Röhling <roehling@debian.org>  Sun, 12 Oct 2025 23:07:39 +0200
